Examples

POST /katello/api/repositories/84409059/content_uploads
{
  "size": 0,
  "content_upload": {
    "size": 0
  }
}
200
{
  "upload_id": "test"
}

Params

Param name Description
repository_id
required

repository id

Validations:

  • Must be a number.

size
required

Size of file to upload

Validations:

  • Must be a number.

checksum
optional

Checksum of file to upload

Validations:

  • String

content_type
optional

content type (‘deb’, ‘file’, ‘ostree_ref’, ‘rpm’, ‘srpm’)

Validations:

  • Must be one of: deb, file, ostree_ref, python_package, rpm, srpm.